--------------------------------------------------
--        Space War Mod By Alien Warrior        --
--           Edited from classer.lua            --
--------------------------------------------------


if sample==nil then sample={} end
sample.classes={}

-----------------------
-- INITIAL SETUP     --
-----------------------
function initArray(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end
sample.classes.class=initArray(32)
function sample.classes.classmenu(id)
	menu(id,"Select your Class,Fighter|Balanced,Flamer|Flame,Liberator|VerySlow+Strong,Liberty|Balanced,Drone|Fast+Weak,Titan|SuperSlow+VeryStrong,Orion|Balanced,Marine|Human,Soldier|Human")	
end


-----------------------
-- TEAM -> CLASS     --
-----------------------
addhook("team","sample.classes.team")
function sample.classes.team(id,team)
	if (team>0) then
		sample.classes.classmenu(id)
	end
end


-----------------------
-- SERVERACTION      --
-----------------------
addhook("serveraction","sample.classes.serveraction")
function sample.classes.serveraction(id)
	sample.classes.classmenu(id)
end


-----------------------
-- CLASS SELECTION   --
-----------------------
addhook("menu","sample.classes.menu")
function sample.classes.menu(id,menu,sel)
	if (menu=="Select your Class") then
		if (sel>=0 and sel<=10) then
			sample.classes.class[id]=sel
			if (player(id,"health")>0) then
				parse("killplayer "..id)
			end
		end
	end
end


-----------------------
-- SPAWN             --
-----------------------
addhook("spawn","sample.classes.spawn")
function sample.classes.spawn(id)
	-- Fighter
	if (sample.classes.class[id]==1) then
	  parse ("setmaxhealth "..id.." 80")
	  parse("speedmod "..id.." 25")
	  parse("equip "..id.." 32")
	  parse("equip "..id.." 84")
          freeimage(id) 
          id1=image("gfx/kuscu/flame.png",1,1,200+id) 
          imagescale(id1,1,1) 
          imageblend(id1,0) 
          imagealpha(id1,1.0)
	end
	-- Flamer
	if (sample.classes.class[id]==2) then
	  parse ("setmaxhealth "..id.." 100")
	  parse("speedmod "..id.." 15")
	  parse("equip "..id.." 46")
	  parse("equip "..id.." 84")
          freeimage(id)
          id1=image("gfx/kuscu/flyer.png",1,1,200+id) 
          imagescale(id1,1,1) 
          imageblend(id1,0) 
          imagealpha(id1,1.0)
	end
	-- Liberator
	if (sample.classes.class[id]==3) then
		parse ("setmaxhealth "..id.." 250")
		parse ("speedmod "..id.." -10")
	      parse("equip "..id.." 45")
	  parse("equip "..id.." 84")
          freeimage(id)
          id1=image("gfx/kuscu/raptor.png",1,1,200+id) 
          imagescale(id1,1,1) 
          imageblend(id1,0) 
          imagealpha(id1,1.0)
	end
	-- Liberty
	if (sample.classes.class[id]==4) then
		parse ("setmaxhealth "..id.." 150")
		parse ("speedmod "..id.." 20")
	      parse("equip "..id.." 32")
	  parse("equip "..id.." 84")
          freeimage(id)
          id1=image("gfx/kuscu/Liberty.png",1,1,200+id) 
          imagescale(id1,1,1) 
          imageblend(id1,0) 
          imagealpha(id1,1.0)
	end
        -- Drone
	if (sample.classes.class[id]==5) then
		parse ("setmaxhealth "..id.." 30")
		parse ("speedmod "..id.." 50")
	      parse("equip "..id.." 24")
	      parse("equip "..id.." 84")
          freeimage(id)
          id1=image("gfx/spacebox.bmp",1,1,200+id) 
          imagescale(id1,1,1) 
          imageblend(id1,0) 
          imagealpha(id1,1.0)
	end
	-- Titan
	if (sample.classes.class[id]==6) then
		parse ("setmaxhealth "..id.." 250")
		parse ("setarmor "..id.." 150")
		parse ("speedmod "..id.." -18")
	      parse("equip "..id.." 40")
          freeimage(id)
          id1=image("gfx/kuscu/sword.png",1,1,200+id) 
          imagescale(id1,1,1) 
          imageblend(id1,0) 
          imagealpha(id1,1.0)
	end
	-- Orion
	if (sample.classes.class[id]==7) then
		parse ("setmaxhealth "..id.." 150")
		parse ("speedmod "..id.." 20")
	      parse("equip "..id.." 32")
	  parse("equip "..id.." 84")
          freeimage(id)
          id1=image("gfx/kuscu/fly.png",1,1,200+id) 
          imagescale(id1,1,1) 
          imageblend(id1,0) 
          imagealpha(id1,1.0)
	end
	-- Marine
	if (sample.classes.class[id]==8) then
		parse ("setmaxhealth "..id.." 20")
		parse ("speedmod "..id.." 5")
	      parse("equip "..id.." 47")
          freeimage(id)
	end
	-- Soldier
	if (sample.classes.class[id]==9) then
		parse ("setmaxhealth "..id.." 20")
		parse ("setarmor "..id.." 100")
		parse ("speedmod "..id.." 5")
	      parse("equip "..id.." 30")
	      parse("equip "..id.." 1")
          freeimage(id)
	end
end

-----------------------
-- NO BUYING         --
-----------------------
addhook("buy","sample.classes.buy")
function sample.classes.buy()
	return 1
end


-----------------------
-- NO COLLECTING     --
-----------------------


-----------------------
-- NO DROPPING       --
-----------------------
addhook("drop","sample.classes.drop")
function sample.classes.drop()
	return 1
end


-----------------------
-- NO DEAD DROPPING  --
-----------------------
addhook("die","sample.classes.die")
function sample.classes.die()
	return 1
end
